Attribute VB_Name = "ModConstants"
Option Explicit

'enemy types
Public Const enemy_goomba As Byte = 1
Public Const enemy_turtle_green As Byte = 2
Public Const enemy_turtle_red As Byte = 3

'enemy states
Public Enum enemystates
'Public Const state_normal As Byte = 0
    state_normal = 0
    state_inshell = 1
    state_inshellUD = 2
    state_dyingJumpedOn = 3
    state_dyingFireballOrStar = 4
    state_dyingBlockSmash = 5
    state_inactive = 6
    state_dead = 7
'states 20+ are for death animations. eg, for goombas, we show corpse for 40 frames, so we set it to 60, -1 each frame, and when 20, remove enemy
'todo: note that for any state above 1, player cannot collide with enemy
End Enum

'player states
Public Const Standing As Byte = 0
Public Const Walking As Byte = 1
Public Const Running As Byte = 2
Public Const Jumping As Byte = 3
Public Const Sliding As Byte = 4
Public Const Ducking As Byte = 5
Public Const Falling As Byte = 6
Public Const Dying As Byte = 7

'player height constants
Public Const PlayerBig As Long = 96
Public Const PlayerSml As Long = 48



'collision types
Public Const col_None As Long = 0
Public Const col_Generic As Long = 1
Public Const col_FromLeft As Long = 2
Public Const col_FromRight As Long = 3
Public Const col_FromTop As Long = 4
Public Const col_FromBottom As Long = 5




'object types
Public Const obj_Null As Byte = 255
Public Const obj_MushroomQuestion As Byte = 0
Public Const obj_QuestionBlock As Byte = 1
Public Const obj_InvisibleCoin As Byte = 2
Public Const obj_Invisible1UP As Byte = 3
Public Const obj_MushroomBrick As Byte = 4
Public Const obj_VineBrick As Byte = 5
Public Const obj_StarBrick As Byte = 6
Public Const obj_MultiCoinBrick As Byte = 7
Public Const obj_OneUPBrick As Byte = 8
Public Const obj_PipeLEnd As Byte = 9
Public Const obj_FirechainBlock As Byte = 10
Public Const obj_Spring As Byte = 11
Public Const obj_DblPipeLBase As Byte = 12
Public Const obj_DblPipeRBase As Byte = 13 'new object
Public Const obj_DropPipeTube As Byte = 14 'used in combo with DblPipeLBase
Public Const obj_Coin As Byte = 15
Public Const obj_CoinSP As Byte = 16 'new object
Public Const obj_Brick As Byte = 17
Public Const obj_InvisMushroom As Byte = 18 'new object
Public Const obj_InvisStar As Byte = 19 'new object
Public Const obj_MushroomPlatformL As Byte = 20
Public Const obj_MushroomPlatformR As Byte = 21
Public Const obj_MushroomPlatformC As Byte = 22
Public Const obj_Bridge As Byte = 23
Public Const obj_Flag As Byte = 24
'25-29 for new items
Public Const obj_BlockH1 As Byte = 30
Public Const obj_BlockH2 As Byte = 31
Public Const obj_BlockH3 As Byte = 32
Public Const obj_BlockH4 As Byte = 33
Public Const obj_BlockH5 As Byte = 34
Public Const obj_BlockH6 As Byte = 35
Public Const obj_BlockH7 As Byte = 36
Public Const obj_BlockH8 As Byte = 37
Public Const obj_BlockH9 As Byte = 38
Public Const obj_BlockH10 As Byte = 39
Public Const obj_BlockH11 As Byte = 40
Public Const obj_BlockH12 As Byte = 41
Public Const obj_BlockH13 As Byte = 42
Public Const obj_BlockH14 As Byte = 43
Public Const obj_BlockH15 As Byte = 44
Public Const obj_BlockV1 As Byte = 50
Public Const obj_BlockV2 As Byte = 51
Public Const obj_BlockV3 As Byte = 52
Public Const obj_BlockV4 As Byte = 53
Public Const obj_BlockV5 As Byte = 54
Public Const obj_BlockV6 As Byte = 55
Public Const obj_BlockV7 As Byte = 56
Public Const obj_BlockV8 As Byte = 57
Public Const obj_BlockV9 As Byte = 58
Public Const obj_BlockV10 As Byte = 59
Public Const obj_BlockV11 As Byte = 60
Public Const obj_BlockV12 As Byte = 61
Public Const obj_BlockV13 As Byte = 62
Public Const obj_BlockV14 As Byte = 63
Public Const obj_BlockV15 As Byte = 64
Public Const obj_PipeV2 As Byte = 71
Public Const obj_PipeV3 As Byte = 72
Public Const obj_PipeV4 As Byte = 73
Public Const obj_PipeV5 As Byte = 74
Public Const obj_PipeV6 As Byte = 75
Public Const obj_PipeV7 As Byte = 76
Public Const obj_PipeV8 As Byte = 77
Public Const obj_PipeV9 As Byte = 78
Public Const obj_PipeV10 As Byte = 79
Public Const obj_PipeV11 As Byte = 80
Public Const obj_PipeV12 As Byte = 81
Public Const obj_PipeV13 As Byte = 82
Public Const obj_PipeV14 As Byte = 83
'Public Const obj_PipeV15 As Byte = 84
Public Const obj_PipeL1 As Byte = 90
Public Const obj_PipeL2 As Byte = 91
Public Const obj_PipeL3 As Byte = 92
Public Const obj_PipeL4 As Byte = 93
Public Const obj_PipeL5 As Byte = 94
Public Const obj_PipeL6 As Byte = 95
Public Const obj_PipeL7 As Byte = 96
Public Const obj_PipeL8 As Byte = 97
Public Const obj_PipeL9 As Byte = 98
Public Const obj_PipeL10 As Byte = 99
Public Const obj_PipeL11 As Byte = 100
Public Const obj_PipeL12 As Byte = 101
Public Const obj_PipeL13 As Byte = 102
Public Const obj_PipeL14 As Byte = 103
Public Const obj_PipeL15 As Byte = 104
Public Const obj_PipeR1 As Byte = 100
Public Const obj_PipeR2 As Byte = 101
Public Const obj_PipeR3 As Byte = 102
Public Const obj_PipeR4 As Byte = 103
Public Const obj_PipeR5 As Byte = 104
Public Const obj_PipeR6 As Byte = 105
Public Const obj_PipeR7 As Byte = 106
Public Const obj_PipeR8 As Byte = 107
Public Const obj_PipeR9 As Byte = 108
Public Const obj_PipeR10 As Byte = 109
Public Const obj_PipeR11 As Byte = 110
Public Const obj_PipeR12 As Byte = 111
Public Const obj_PipeR13 As Byte = 112
Public Const obj_PipeR14 As Byte = 113
Public Const obj_PipeR15 As Byte = 114
'maybe add indestructible brick from 130-144. it'd be helpful for when you have tons of bricks, most of which would be impossible to break, because they are on the floor, ceiling, or wherever, and this would reduce the number of objects being used
Public Const obj_Pit As Byte = 150
Public Const obj_PitWater As Byte = 151
Public Const obj_PitLava As Byte = 152
'Public Const obj_Pit1 As Byte = 150
'Public Const obj_Pit2 As Byte = 151
'Public Const obj_Pit3 As Byte = 152
'Public Const obj_Pit4 As Byte = 153
'Public Const obj_Pit5 As Byte = 154
'Public Const obj_Pit6 As Byte = 155
'Public Const obj_Pit7 As Byte = 156
'Public Const obj_Pit8 As Byte = 157
'Public Const obj_Pit9 As Byte = 158
'Public Const obj_Pit10 As Byte = 159


'object states
Public Const objState_Normal As Byte = 0
Public Const objState_Used As Byte = 1





