Attribute VB_Name = "Module1"
Option Explicit



Public Function ReadTxtFile(Filename$) As String
    Dim tmpLine$
    Dim fnum As Integer
    Dim flen As Long
    Dim txt As String
    On Error GoTo ErrorHandler

    fnum = FreeFile
    Open Filename$ For Input As fnum
    txt = Input$(LOF(fnum), #fnum)
    Close #fnum
    ReadTxtFile = txt
    Exit Function
ErrorHandler:
'    Dim bFileExists As Boolean
'    bFileExists = FileExists(Filename$)
'    If bFileExists = False Then
'        MsgBox Filename$ & " not found.", vbApplicationModal + vbOKOnly, "Error"
'    Else
'        MsgBox Filename$ & " is not composed of text.", vbApplicationModal + vbOKOnly, "Error"
'    End If
    MsgBox "Error loading " & Filename$ & ".", vbApplicationModal + vbOKOnly, "Error"
    Close #fnum
End Function






Public Function SaveTextToFile(FileFullPath As String, _
 sText As String, Optional Overwrite As Boolean = True) As _
 Boolean
            '-- FileFullPath - Directory/FileName to save file to
            '-- sText - Text to write
            '-- Overwrite (optional): If false, file is appended
    'Returns:   True if successful, false otherwise
    'Example:   SaveTextToFile "C:\MyFile.txt", "Hello There"

    On Error GoTo ErrorHandler
    
        'check if dir exists, if not, make it
        Dim dirend As Integer
        Dim thepathname As String
        dirend = InStrRev(FileFullPath, "\")
        thepathname = Left$(FileFullPath, dirend - 1)
        If DirExists(thepathname) = False Then
            MkDir thepathname
        End If
    
    Dim iFileNumber As Integer
    iFileNumber = FreeFile
    
    If Overwrite Then
        Open FileFullPath For Output As #iFileNumber
    Else
        Open FileFullPath For Append As #iFileNumber
    End If
    
    Print #iFileNumber, sText;
    SaveTextToFile = True
    
ErrorHandler:
    Close #iFileNumber
End Function





'Public Function FileExists(sSource As String) As Boolean
'    Dim WFD As WIN32_FIND_DATA
'    Dim hFile As Long
'    hFile = FindFirstFile(sSource, WFD)
'    FileExists = hFile <> INVALID_HANDLE_VALUE
'    Call FindClose(hFile)
'End Function

Public Function DirExists(strDir As String) As Boolean
      On Error GoTo PROC_ERR
      DirExists = Len(Dir$(strDir & "\.", vbDirectory)) > 0
PROC_EXIT:
      Exit Function
PROC_ERR:
      MsgBox "Error: " & Err.Number & ". " & Err.Description, , "DirExists"
      Resume PROC_EXIT
End Function



